Bug 368021 - [footnote] Python, ncurses deps from old Fedoras prevent system update
[footnote] Python, ncurses deps from old Fedoras prevent system update
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-06 04:17 EST by John W. Lockhart
Modified: 2014-03-16 23:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:49:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John W. Lockhart 2007-11-06 04:17:13 EST
Description of problem:
Introduction of Python 2.5 cannot happen due to non-updated applications that
require Python 2.4.  Note that this is a minor problem, as the conflicts are
from applications left over from system upgrades of previous installations of
RHL and Fedora (RHL9, FC1, FC3, and FC5, to be specific).

New ncurses package conflicts with existing kon2 file.  It appears that kon2 is
also a leftover.

This bug report is thus most likely of interest for writing release and
compatibility notes, as these conflicting packages no longer seem to be
available in Fedora.  And I wasn't using them anyway... if I was, I suppose I'll
discover that in the next few days. :)  This F7 installation was just fine,
updating regularly, until the past day or two when the python and ncurses
updates were released; thus I figured it might be of possible interest.

# yum update
[...]
Total download size: 79 M
Is this ok [y/N]: y
Downloading Packages:
(1/6): python-libs-2.5-14 100% |=========================| 560 kB    00:00     
(2/6): python-urlgrabber- 100% |=========================| 121 kB    00:00     
(3/6): tkinter-2.5-14.fc7 100% |=========================| 283 kB    00:00     
(4/6): python-tools-2.5-1 100% |=========================| 434 kB    00:00     
(5/6): python-2.5-14.fc7. 100% |=========================| 5.4 MB    00:08     
(6/6): python-devel-2.5-1 100% |=========================| 2.0 MB    00:02     
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
Package rhnlib needs python(abi) = 2.4, this is not available.
Package id3-py needs python(abi) = 2.4, this is not available.
Package gstreamer08-python needs python(abi) = 2.4, this is not available.
Package notemeister needs python(abi) = 2.4, this is not available.
Package htmltmpl needs python(abi) = 2.4, this is not available.
Package xmldiff needs python(abi) = 2.4, this is not available.
Package id3-py needs python-abi = 2.4, this is not available.
Package notemeister needs python-abi = 2.4, this is not available.
Package htmltmpl needs python-abi = 2.4, this is not available.
Complete!

# yum update --exclude='python*' --exclude=python-tools --exclude=tkinter
[...]
Transaction Check Error:
  file /usr/share/terminfo/k/kon from install of ncurses-5.6-9.20070812.fc7
conflicts with file from package kon2-0.3.9b-26.2

Worked around thusly:
# rpm -e rhnlib up2date notemeister htmltmpl xmldiff id3-py gstreamer08-python kon2

And checked:
# yum list available 2>&1 | tee avail.yum
# for i in notemeister htmltmpl xmldiff id3-py gstreamer08-python rhnlib up2date
kon2 ; do echo Searching For: $i ; grep $i avail.yum ; done
Searching For: notemeister
Searching For: htmltmpl
Searching For: xmldiff
Searching For: id3-py
Searching For: gstreamer08-python
Searching For: rhnlib
Searching For: up2date
Searching For: kon2
#
Comment 1 Bug Zapper 2008-05-14 11:00:09 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 22:49:13 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.